Compiling 2.0.39 on HPUX11.11

Compiling 2.0.39 on HPUX11.11

Post by ricky.rica.. » Fri, 02 Aug 2002 01:46:06



I am having trouble with compiling 2.0.39 on HP11.11. I have built
OpenSSL0.9.6c and installed it in /opt/ssl-engine-shared an I use the
configure script like this:                                                                                  
#!/bin/sh
CC=/opt/ansic/bin/cc
PATH=/opt/bin:/opt/ansic/bin:/usr/ccs/bin:/usr/bin:/bin
CFLAGS='-O3 -DSSL_EXPERIMENTAL -DSSL_ENGINE -D_REENRANT -Ae +DAportable'
EXTRA_LIBS="-lcl -lpthread"
LD_LIBRARY_PATH=.:/opt/ssl-engine-shared/lib:/usr/lib:/lib:/usr/local/lib:${LD_LIBRARY_PATH}
export CC PATH CFLAGS LDFLAGS EXTRA_LIBS LD_LIBRARY_PATH

./configure \
        --prefix=/opt/web_servers/apache_2.0.39 \
        --with-layout=Apache \
        --without-confadjust \
        ..... stuff deleted.....
        --with-mpm=worker \
        --enable-ssl=shared \
        --with-ssl=/opt/ssl-engine-shared

The error comes when it is making PCRE:

Making all in pcre
......

       ./dftables >
/opt/boeing_web_servers/apache/httpd-2.0.39/srclib/pcre/chartables.c
/usr/lib/dld.sl: Can't open shared library: ./libcrypto.sl.0.9.6
/usr/lib/dld.sl: No such file or directory
sh: 2289 Abort(coredump)
*** Error exit code 134

Stop.

Why is it expecting libcrypto.sl.0.9.6 in the current dir (.)?

I have tried symlinking the crypto lib to the current dir with no luck. I
am missing domething basic about compiling/linking on HPUX. I have built
1.3.x servers without any problem.

Does anyone know of good HOWTO's for HPUX?

                                                        Thanks

----------------------------------------
"Mon aroglisseur est plein d'anguilles"
John P. Dodge
Boeing Shared Services

 
 
 

Compiling 2.0.39 on HPUX11.11

Post by John Arno » Fri, 02 Aug 2002 23:08:24


Have you looked at the HP-UX Porting and Archive Center?

http://hpux.cs.utah.edu/hppd/hpux/Networking/WWW/apache2-2.0.35/

Regards


> I am having trouble with compiling 2.0.39 on HP11.11. I have built
> OpenSSL0.9.6c and installed it in /opt/ssl-engine-shared an I use the
> configure script like this:                                                                                  
> #!/bin/sh
> CC=/opt/ansic/bin/cc
> PATH=/opt/bin:/opt/ansic/bin:/usr/ccs/bin:/usr/bin:/bin
> CFLAGS='-O3 -DSSL_EXPERIMENTAL -DSSL_ENGINE -D_REENRANT -Ae +DAportable'
> EXTRA_LIBS="-lcl -lpthread"
> LD_LIBRARY_PATH=.:/opt/ssl-engine-shared/lib:/usr/lib:/lib:/usr/local/lib:${LD_LIBRARY_PATH}
> export CC PATH CFLAGS LDFLAGS EXTRA_LIBS LD_LIBRARY_PATH

> ./configure \
>         --prefix=/opt/web_servers/apache_2.0.39 \
>         --with-layout=Apache \
>         --without-confadjust \
>         ..... stuff deleted.....
>         --with-mpm=worker \
>         --enable-ssl=shared \
>         --with-ssl=/opt/ssl-engine-shared

> The error comes when it is making PCRE:

> Making all in pcre
> ......

>        ./dftables >
> /opt/boeing_web_servers/apache/httpd-2.0.39/srclib/pcre/chartables.c
> /usr/lib/dld.sl: Can't open shared library: ./libcrypto.sl.0.9.6
> /usr/lib/dld.sl: No such file or directory
> sh: 2289 Abort(coredump)
> *** Error exit code 134

> Stop.

> Why is it expecting libcrypto.sl.0.9.6 in the current dir (.)?

> I have tried symlinking the crypto lib to the current dir with no luck. I
> am missing domething basic about compiling/linking on HPUX. I have built
> 1.3.x servers without any problem.

> Does anyone know of good HOWTO's for HPUX?

>                                                         Thanks

> ----------------------------------------
> "Mon aroglisseur est plein d'anguilles"
> John P. Dodge
> Boeing Shared Services


 
 
 

1. Can't compile kernal, fatal signal 11

I've been working on this for weeks now.  I'm running RedHat Linux 5.0 with
a gcc version 2.7.2.3.  Every time I try an compile any kernel (the latest
2.0.35 and the one that came with my distribution 2.0.32) I get the same
error, "gcc: Internal compiler error: program cc1 got fatal signal 11".
This error happens even when I go with all the defaults and it never seems
to happen at the same point during the compile.

What I do is do a, "make dep ; make clean ; make zImage", of course after a,
"make config".  Am I doing something wrong here?  Has anyone else had this
problem?  Can anyone tell me what this error means?

Please help me.  Any help would be greatly appreciated.

Thank you,

David J. Salang

2. Is ext2 is corrupting my files?

3. Can't compile pvm-3.11 under RedHat 5.1

4. Validating if FTP server is up or down

5. gnu tar 1.11.8 won't compile for me

6. Solaris ATA commands

7. Can't Compile Kernel // gcc 2.7.0 exits w/ fatal error: signal 11

8. mysql problem

9. Can't compile console.c: gcc gets signal 11

10. Compiling Apache 1.3.x with PHP and Oracle 7.3.4 on HPUX11

11. Why Linux, and X.11 when MacOS 'X' is around the corner?

12. GCC and the 'signal 11' problem, HELP!

13. What is 'Signal 11' (SVR4)